gensio_acc_set_accept_callback_enable(3)

NAME
gensio_acc_set_accept_callback_enable, gensio_acc_set_accept_callback_enable_cb, gensio_acc_set_accept_callback_enable_s - Enable or disable the accept ready callback

SYNOPSIS
#include <gensio/gensio.h>

void gensio_acc_set_accept_callback_enable(
    struct gensio_accepter *accepter,
    bool enabled);

int gensio_acc_set_accept_callback_enable_cb(
    struct gensio_accepter *accepter,
                 bool enabled,
                 gensio_acc_done done,
                 void *done_data);

int gensio_acc_set_accept_callback_enable_s(
    struct gensio_accepter *accepter,
                 bool enabled);

DESCRIPTION
These functions enable/disable the accept callback when connections come in. gensio_acc_set_accept_callback_enable will do an asynchronous disable. Note that this can race with pending and running callbacks, you must be prepared to handle these races. gensio_acc_set_accept_callback_enable_cb is like the above, but do a callback when the enable is complete. Really only useful for disable, when the done callback is called then no more accepts will be called and all callbacks are done. Note that if you call this, you cannot do another enable/disable until done is called. gensio_acc_set_accept_callback_enable_s Like above, but a synchronous call. See the notes on gensio_open_s() for the dangers of using this function.

RETURN VALUES
Zero is returned on success, or a gensio error on failure.

SEE ALSO
gensio_err(3), gensio(5), gensio_open_s(3)